Groovy Documentation

## org.codehaus.groovy.grails.commons.metaclass
[Java] Class AbstractStaticMethodInvocation

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation

All Implemented Interfaces:
  StaticMethodInvocation

    public abstract class AbstractStaticMethodInvocation

Authors:
  Steven Devijver

Method Summary
`protected java.util.regex.Pattern` | `getPattern()`
`java.lang.Object` | `invoke(java.lang.Class clazz, java.lang.String methodName, Object[] arguments)`
`boolean` | `isMethodMatch(java.lang.String methodName)`
`void` | `setPattern(java.util.regex.Pattern pattern)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getPattern

    protected java.util.regex.Pattern getPattern()

### invoke

    @SuppressWarnings("rawtypes")
    public java.lang.Object invoke(java.lang.Class clazz, java.lang.String methodName, Object[] arguments)

### isMethodMatch

    public boolean isMethodMatch(java.lang.String methodName)

### setPattern

    public void setPattern(java.util.regex.Pattern pattern)

### toString

    @Override
    public java.lang.String toString()

Groovy Documentation